function Covariance_reg = regularize_oneC(Covariance)

% regularizes the covariance matrices for a single image
s = size(Covariance,1);
d = size(Covariance{1},1);

Covariance_reg = Covariance;

for j = 1:s
    Covariance_reg{j} = Covariance{j} + 1e2*eps*eye(d);
end
